/*
 *    GeoTools - The Open Source Java GIS Toolkit
 *    http://geotools.org
 *
 *    (C) 2011, Open Source Geospatial Foundation (OSGeo)
 *    (C) 2005, Open Geospatial Consortium Inc.
 *    
 *    All Rights Reserved. http://www.opengis.org/legal/
 */
package org.opengis.filter.spatial;

// OpenGIS direct dependencies
import org.opengis.filter.MultiValuedFilter;

// Annotations
import org.opengis.annotation.XmlElement;


/**
 * Abstract base class for operators that perform a spatial comparison on
 * geometric attributes of a feature.
 *
 *
 *
 * @source $URL$
 * @version <A HREF="http://www.opengis.org/docs/02-059.pdf">Implementation specification 1.0</A>
 * @author Chris Dillard (SYS Technologies)
 * @since GeoAPI 2.0
 */
@XmlElement("SpatialOpsType")
public interface SpatialOperator extends MultiValuedFilter {
}
